Method: bidders.filterSets.list
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
This page provides documentation for listing all filter sets for a given account ID.
The API request is a GET request using the URL https://adexchangebuyer.googleapis.com/v2beta1/{ownerName=bidders/*}/filterSets.
Path parameters include ownerName to specify the bidder or account whose filter sets are to be listed.
Query parameters include pageSize and pageToken for pagination of results.
The request body must be empty and a successful response body contains an instance of ListFilterSetsResponse.
Authorization requires the https://www.googleapis.com/auth/adexchange.buyer OAuth scope.
Lists all filter sets for the account with the given account ID.
HTTP request
GET https://adexchangebuyer.googleapis.com/v2beta1/{ownerName=bidders/*}/filterSets
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
ownerName
string
Name of the owner (bidder or account) of the filter sets to be listed. For example:
For a bidder-level filter set for bidder 123: bidders/123
For an account-level filter set for the buyer account representing bidder 123: bidders/123/accounts/123
For an account-level filter set for the child seat buyer account 456 whose bidder is 123: bidders/123/accounts/456
Query parameters
Parameters
pageSize
integer
Requested page size. The server may return fewer results than requested. If unspecified, the server will pick an appropriate default.
pageToken
string
A token identifying a page of results the server should return. Typically, this is the value of ListFilterSetsResponse.nextPageToken returned from the previous call to the accounts.filterSets.list method.
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListFilterSetsResponse .
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/adexchange.buyer
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],["This document details how to list filter sets for a given account using the Ad Exchange Buyer API. The `GET` HTTP request is made to `https://adexchangebuyer.googleapis.com/v2beta1/{ownerName=bidders/*}/filterSets`. The `ownerName` path parameter specifies the bidder or account. Optional query parameters, `pageSize` and `pageToken`, allow for result pagination. The request body must be empty, and a successful response returns a `ListFilterSetsResponse` instance. Access requires the `adexchange.buyer` authorization scope.\n"]]